Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 88182 - httpd should set CLOEXEC on opened fds
Summary: httpd should set CLOEXEC on opened fds
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: httpd
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Joe Orton
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-07 13:04 UTC by Joe Orton
Modified: 2007-04-18 16:52 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-02-11 17:23:11 UTC


Attachments (Terms of Use)

Description Joe Orton 2003-04-07 13:04:35 UTC
It is desirable to set CLOEXEC on opened files, sockets or logs, so that
processes forked by modules such as PHP do not have access to these fds.  See
bug 82142 for further discussion.


Note You need to log in before you can comment on or make changes to this bug.